Skip to main content
POST
/
v1
/
x402
/
verify
Verify payment
curl --request POST \
  --url https://api.rem.money/v1/x402/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "txHash": "<string>",
  "chain": "base",
  "expectedAmount": "<string>",
  "wallet": "<string>",
  "sessionId": "<string>"
}
'
{
  "sessionId": "<string>",
  "status": "settled",
  "settledAt": "2023-11-07T05:31:56Z",
  "txHash": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
txHash
string
required
chain
enum<string>
required
Available options:
base,
solana,
tempo
expectedAmount
string
required
wallet
string
required
sessionId
string

Response

200 - application/json

Settlement verified

sessionId
string
status
enum<string>
Available options:
settled,
underpaid,
expired
settledAt
string<date-time>
txHash
string